View Issue Details

IDProjectCategoryView StatusLast Update
0032390Open CASCADEOCCT:Visualizationpublic2021-06-26 12:02
Reporterosa Assigned Toosa  
PrioritynormalSeverityintegration request 
Status closedResolutionfixed 
Target Version7.6.0Fixed in Version7.6.0 
Summary0032390: Visualization, SelectMgr_FrustumBuilder - use camera instead of duplicated methods
DescriptionStore handle to camera as field of SelectMgr_FrustumBuilder instead of duplicated camera parameters.
Use all required methods (ProjectPntOnViewPlane/unProject/safePointCast) from camera and avoid code duplication.
Steps To ReproduceNot required
TagsNo tags attached.
Test case numberNot required

Activities

git

2021-05-28 17:50

administrator   ~0101457

Branch CR32390 has been created by osa.

SHA-1: a47a6e2e0e85bfdb5cee811aae3c23a657ee722d


Detailed log of new commits:

Author: osa
Date: Fri May 28 17:25:04 2021 +0300

    0032390: Visualization, SelectMgr_FrustumBuilder - use camera instead of duplicated methods

osa

2021-05-28 18:02

developer   ~0101460

git

2021-06-18 17:03

administrator   ~0101916

Branch CR32390_1 has been created by osa.

SHA-1: 7251322a0609fd38019cd21456ca42004eb486f4


Detailed log of new commits:

Author: osa
Date: Fri May 28 17:25:04 2021 +0300

    0032390: Visualization, SelectMgr_FrustumBuilder - use camera instead of duplicated methods
    
    Add method Graphic3d_Camera::SetIdentityOrientation() to set camera parameters to make current orientation matrix identity one
    Remove all matrices from selection intersectors and frustum builder and use camera instead of them

osa

2021-06-18 17:16

developer   ~0101918

git

2021-06-21 13:54

administrator   ~0101957

Branch CR32390_2 has been created by osa.

SHA-1: c564ae48ee44dced9b12934864a7ce08f850e8e0


Detailed log of new commits:

Author: osa
Date: Fri May 28 17:25:04 2021 +0300

    0032390: Visualization, SelectMgr_FrustumBuilder - use camera instead of duplicated methods
    
    Add method Graphic3d_Camera::SetIdentityOrientation() to set camera parameters to make current orientation matrix identity one
    Remove all matrices from selection intersectors and frustum builder and use camera instead of them

osa

2021-06-21 14:59

developer   ~0101960

http://jenkins-test-occt/view/CR32390_2-master-OSA/view/ALL/

git

2021-06-21 15:16

administrator   ~0101962

Branch CR32390_2 has been updated forcibly by osa.

SHA-1: 0c2b4ab842a68a326ac7585921c6f8dc14a468aa

git

2021-06-21 19:15

administrator   ~0101977

Branch CR32390_2 has been updated by osa.

SHA-1: 35d4e00e140ebbdc56dd4a18f8b24f1c95de9ee2


Detailed log of new commits:

Author: osa
Date: Mon Jun 21 16:08:06 2021 +0300

    #kgv remarks

git

2021-06-21 19:42

administrator   ~0101980

Branch CR32390_2 has been updated by osa.

SHA-1: 11e57e4afac60cbc87bae15dc50f083746d6e02c


Detailed log of new commits:

Author: osa
Date: Mon Jun 21 19:43:27 2021 +0300

    #fix A1 axis test of vselect package

git

2021-06-22 10:18

administrator   ~0101984

Branch CR32390_3 has been created by osa.

SHA-1: 21812ec0c6baab85ac1c2ca4676e4515f99f80d0


Detailed log of new commits:

Author: osa
Date: Fri May 28 17:25:04 2021 +0300

    0032390: Visualization, SelectMgr_FrustumBuilder - use camera instead of duplicated methods
    
    Add method Graphic3d_Camera::SetIdentityOrientation() to set camera parameters to make current orientation matrix identity one
    Remove all matrices from selection intersectors and frustum builder and use camera instead of them

osa

2021-06-22 10:40

developer   ~0101986

http://jenkins-test-occt/view/CR32390_3-master-OSA/view/ALL/

osa

2021-06-22 10:40

developer   ~0101987

The patch CR32390_3 is ready for review

osa

2021-06-22 10:40

developer   ~0101988

git

2021-06-22 11:16

administrator   ~0101990

Branch CR32390_3 has been updated forcibly by osa.

SHA-1: 51d4a4f9d0c363a1fe39975e6dc5cf4b4134eb93

bugmaster

2021-06-26 11:35

administrator   ~0102064

Combination -
OCCT branch : IR-2021-06-25
master SHA - 73dee811331a959f807c8264d295f05f441c8218
a87b7ddc8cb44606b91e3f37113847c3f5f50fdc
Products branch : IR-2021-06-25 SHA - eca8d7ed97b918b2f5ea5d9d6e54f6ca4db4e9df
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 17457.040000000452 / 17401.81000000044 [+0.32%]
Products
Total CPU difference: 11511.540000000101 / 11508.180000000091 [+0.03%]
Windows-64-VC14:
OCCT
Total CPU difference: 19236.53125 / 19191.4375 [+0.23%]
Products
Total CPU difference: 12832.328125 / 12883.6875 [-0.40%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention

git

2021-06-26 12:01

administrator   ~0102091

Branch CR32390 has been deleted by mnt.

SHA-1: a47a6e2e0e85bfdb5cee811aae3c23a657ee722d

git

2021-06-26 12:01

administrator   ~0102092

Branch CR32390_1 has been deleted by mnt.

SHA-1: 7251322a0609fd38019cd21456ca42004eb486f4

git

2021-06-26 12:02

administrator   ~0102093

Branch CR32390_2 has been deleted by mnt.

SHA-1: 11e57e4afac60cbc87bae15dc50f083746d6e02c

git

2021-06-26 12:02

administrator   ~0102094

Branch CR32390_3 has been deleted by mnt.

SHA-1: 51d4a4f9d0c363a1fe39975e6dc5cf4b4134eb93

Related Changesets

occt: master 51d4a4f9

2021-05-28 14:25:04

osa

Details Diff
0032390: Visualization, SelectMgr_FrustumBuilder - use camera instead of duplicated methods

Fix incorrect value of axis intersection with segment inside of SelectMgr_AxisIntersector::raySegmentDistance().
Move camera definition to base intersector (it is not possible to set it for axis intersector, is is not applicable).
Add method Graphic3d_Camera::SetIdentityOrientation() to set camera parameters to make current orientation matrix identity one.
Remove all matrices from selection intersectors and frustum builder and use camera instead of them.
Fix missed axis tests in vselect grid.
Affected Issues
0032390
mod - src/Graphic3d/Graphic3d_Camera.cxx Diff File
mod - src/Graphic3d/Graphic3d_Camera.hxx Diff File
mod - src/SelectMgr/SelectMgr_AxisIntersector.cxx Diff File
mod - src/SelectMgr/SelectMgr_AxisIntersector.hxx Diff File
mod - src/SelectMgr/SelectMgr_BaseFrustum.cxx Diff File
mod - src/SelectMgr/SelectMgr_BaseFrustum.hxx Diff File
mod - src/SelectMgr/SelectMgr_BaseIntersector.cxx Diff File
mod - src/SelectMgr/SelectMgr_BaseIntersector.hxx Diff File
mod - src/SelectMgr/SelectMgr_Frustum.lxx Diff File
mod - src/SelectMgr/SelectMgr_FrustumBuilder.cxx Diff File
mod - src/SelectMgr/SelectMgr_FrustumBuilder.hxx Diff File
mod - src/SelectMgr/SelectMgr_RectangularFrustum.cxx Diff File
mod - src/SelectMgr/SelectMgr_SelectingVolumeManager.cxx Diff File
mod - src/SelectMgr/SelectMgr_SelectingVolumeManager.hxx Diff File
mod - src/SelectMgr/SelectMgr_TriangularFrustum.cxx Diff File
mod - src/SelectMgr/SelectMgr_TriangularFrustumSet.cxx Diff File
mod - src/SelectMgr/SelectMgr_ViewerSelector.cxx Diff File
mod - tests/vselect/axis/A1 Diff File
mod - tests/vselect/grids.list Diff File

Issue History

Date Modified Username Field Change
2021-05-24 16:58 osa New Issue
2021-05-24 16:58 osa Assigned To => kgv
2021-05-28 17:50 git Note Added: 0101457
2021-05-28 17:55 osa Assigned To kgv => osa
2021-05-28 17:55 osa Status new => assigned
2021-05-28 18:02 osa Note Added: 0101460
2021-06-18 17:03 git Note Added: 0101916
2021-06-18 17:16 osa Note Added: 0101918
2021-06-21 13:54 git Note Added: 0101957
2021-06-21 14:59 osa Note Added: 0101960
2021-06-21 15:16 git Note Added: 0101962
2021-06-21 19:15 git Note Added: 0101977
2021-06-21 19:42 git Note Added: 0101980
2021-06-22 10:18 git Note Added: 0101984
2021-06-22 10:40 osa Note Added: 0101986
2021-06-22 10:40 osa Note Added: 0101987
2021-06-22 10:40 osa Assigned To osa => kgv
2021-06-22 10:40 osa Status assigned => resolved
2021-06-22 10:40 osa Steps to Reproduce Updated
2021-06-22 10:40 osa Note Added: 0101988
2021-06-22 10:47 kgv Assigned To kgv => osa
2021-06-22 10:47 kgv Status resolved => assigned
2021-06-22 10:47 kgv Severity minor => integration request
2021-06-22 11:16 git Note Added: 0101990
2021-06-22 11:24 osa Assigned To osa => kgv
2021-06-22 11:24 osa Status assigned => resolved
2021-06-22 11:28 kgv Assigned To kgv => bugmaster
2021-06-22 11:28 kgv Status resolved => reviewed
2021-06-26 11:35 bugmaster Note Added: 0102064
2021-06-26 11:35 bugmaster Status reviewed => tested
2021-06-26 11:37 bugmaster Test case number => Not required
2021-06-26 11:58 osa Changeset attached => occt master 51d4a4f9
2021-06-26 11:58 osa Assigned To bugmaster => osa
2021-06-26 11:58 osa Status tested => verified
2021-06-26 11:58 osa Resolution open => fixed
2021-06-26 12:01 git Note Added: 0102091
2021-06-26 12:01 git Note Added: 0102092
2021-06-26 12:02 git Note Added: 0102093
2021-06-26 12:02 git Note Added: 0102094